program main

  integer :: k
  real(4) :: plev
  real(4) :: lnplev
  real(4) :: dlnplev

  plev = 1878.9
  lnplev = log( plev )
  dlnplev = log( 1658.2 / 1878.9 )

  k = 1
  plev = exp( lnplev )
  write( 6, * ) k, plev
  do k = 2, 155
    lnplev = lnplev + dlnplev
    plev = exp( lnplev )
    write( 6, * ) k, plev
  end do

end program main
